% VIEW_DATA - View the training data generated by CREATE_DATA.
%   The function call is VIEW_DATA(DATA). Note this only works with
%   two-dimensional data.
%
%   Copyright (c) 2003 University of British Columbia. All Rights
%   Reserved. Created by Peter Carbonetto, Department of Computer
%   Science.

function view_data (data)

  % Function constants.
  clrs = 'bgrky';
  
  % Get function variables.
  C = length(data.p);
  
  cla;
  hold on;
  for c = 1:C,
    clr = clrs(1+mod(c-1,length(clrs)));
    pts = find(data.train.y == c);
    plot(data.train.x(1,pts), data.train.x(2,pts), [clr '.']);
  end;
  title('Mixture point samples');
  xlabel('x_1');
  ylabel('x_2');
  hold off;